=== debian/changelog ===
ros-galactic-tf2-eigen (0.17.5-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-tf2-eigen (0.17.4-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-tf2-eigen (0.17.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-tf2-eigen (0.17.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-tf2-eigen (0.17.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-tf2-eigen (0.17.0-1focal) focal; urgency=high

  * Fix linter errors (#385 <https://github.com/ros2/geometry2/issues/385>)
  * Fix up the style in tf2_eigen. (#378 <https://github.com/ros2/geometry2/issues/378>)
  * Fix doTransform with Eigen Quaternion (#369 <https://github.com/ros2/geometry2/issues/369>)
  * Contributors: Audrow Nash, Bjar Ne, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-galactic-tf2-eigen (0.16.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-tf2-eigen (0.15.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-tf2-eigen (0.15.0-1focal) focal; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-galactic-tf2-eigen (0.14.1-1focal) focal; urgency=high

  * Activate usual compiler warnings and fix errors (#270 <https://github.com/ros2/geometry2/issues/270>)
  * Contributors: Ivan Santiago Paunovic

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-galactic-tf2-eigen (0.14.0-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Aug 2020 07:00:00 -0000

ros-galactic-tf2-eigen (0.13.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-tf2-eigen (0.13.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-tf2-eigen (0.13.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 May 2020 07:00:00 -0000

ros-galactic-tf2-eigen (0.13.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-tf2-eigen (0.13.0-1focal) focal; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-galactic-tf2-eigen (0.12.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-galactic-tf2-eigen (0.12.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-galactic-tf2-eigen (0.12.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-galactic-tf2-eigen (0.12.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-tf2-eigen (0.12.0-1focal) focal; urgency=high

  * Adds toMsg & fromMsg for Eigen Vector3
  * Adds additional conversions for tf2, KDL, Eigen
  * Use eigen3_cmake_module (#144 <https://github.com/ros2/geometry2/issues/144>)
  * Contributors: Ian McMahon, Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-tf2-eigen (0.11.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 24 May 2019 07:00:00 -0000

ros-galactic-tf2-eigen (0.11.2-1focal) focal; urgency=high

  * Port tf2_kdl (#90 <https://github.com/ros2/geometry2/issues/90>)
    * tf2_eigen, leftover from the cherry-pick
    While cherry-picking changes to get isometry3d in
    * Update tf2_eigen, add toMsg2
    Convert a Eigen::Vector3d type to a geometry_msgs::msg::Vector3
    while avoiding overloading issues with previous definitions
    * Default to C++14
    * Define _USE_MATH_DEFINES so Windows gets M_PI symbol.
  * Contributors: Víctor Mayoral Vilches

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-tf2-eigen (0.11.1-1focal) focal; urgency=high

  * also export Eigen3 include directories (#102 <https://github.com/ros2/geometry2/issues/102>)
  * Contributors: Marcus Scheunemann

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 09 May 2019 07:00:00 -0000

ros-galactic-tf2-eigen (0.11.0-1focal) focal; urgency=high

  * Updated to use ament_target_dependencies where possible. (#98 <https://github.com/ros2/geometry2/issues/98>)
  * Contributors: ivanpauno

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-galactic-tf2-eigen (0.10.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-galactic-tf2-eigen (0.10.0-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 22 Nov 2018 08:00:00 -0000

ros-galactic-tf2-eigen (0.5.15-1focal) focal; urgency=high

  * fixup #186 <https://github.com/ros/geometry2/issues/186>: inline template specializations (#200 <https://github.com/ros/geometry2/issues/200>)
  * Contributors: Robert Haschke

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-galactic-tf2-eigen (0.5.14-1focal) focal; urgency=high


