=== debian/control ===
Source: ros-galactic-tf2-eigen
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-eigen3-cmake-module, ros-galactic-geometry-msgs, ros-galactic-tf2, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-tf2-eigen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-galactic-eigen3-cmake-module, ros-galactic-geometry-msgs, ros-galactic-tf2, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Description: tf2_eigen
